<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne a soma de todos os numeros de um array
        */
        function sum(numbers) {
            var n = 0
            for (var i = 0; i < numbers.length; i++) {
                n += numbers[i];   
            }

            return n
        }
        


        // Resultados esperados
        console.log(sum([4, 6, 12, 5]), 27) // 27
        console.log(sum([9, 234, 312, 999, 21, 2311]), 3886) // 3886
        console.log(sum([533, 234, 23423, 32, 48876]), 73098) // 73098 
        console.log(sum([5, 4, 3, 2, 1]), 15) // 15

    </script>
</body>

</html>